var importador = mapperFactory.createMapperMult(["Importador", "EstProdCdBarra"]);

if (message.get("obj")) {
    var obj = message.get("obj");
}
else {
    var obj = message;
}

try {
    var produtos = importador.selectList("EstProdCdBarra.listarEstProdCdBarra", { 'cdBarra': obj.get("cdBarra") });
    var msgErro = "";
    if (produtos && produtos.size() > 0) {
        for(var i = 0; i<produtos.size(); i++){
            if (i == produtos.size() - 1){
              msgErro = msgErro + produtos.get(i).get('cdProd');
            }
            else{
               msgErro = msgErro + produtos.get(i).get('cdProd') + ",";
            }
		}
        throw {
            code: 599,
            message: "Código de Barras " + obj.get("cdBarra") + " já vinculado ao(s) produto(s): " + msgErro + "."
        };
    }
    else {
        importador.insert("inserirEan",obj);

        importador.commit();
    }
} catch (err) {
    java.lang.System.out.println(err);
    importador.rollback();
    if (err.code) {
        throw JSON.stringify(err);
    }
    else {
        throw err;
    }
}